[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'FPimage' (#fcl)

# TFPCustomImage.GetInternalPixel

Returns the internal (encoded) color value of the specified pixel.

## Declaration

Source position: fpimage.pp line 119

`protected function TFPCustomImage.GetInternalPixel(`
`x: Integer;`
`y: Integer`
`):Integer; virtual; abstract;`

## Description

For RGBA colors returns the internal (encoded) representation of the color. For monochrome or palette based images the intensitiy or palette index is returned.

The latest version of this document can be found at lazarus-ccr.sourceforge.net .